# Grav Open Matter Course Hub Skeleton

[![Demo](https://img.shields.io/badge/Demo-OpenCourseHub-blue.svg?style=flat-square)](https://demo.hibbittsdesign.org/grav-open-matter-course-hub/) [![Demo](https://img.shields.io/badge/Demo-OpenMultiCourseHub-blue.svg?style=flat-square)](https://demo.hibbittsdesign.org/grav-skeleton-open-matter-multi-course-hub-site/)
[![License](https://img.shields.io/badge/License-MIT-blue.svg?style=flat-square)](https://github.com/hibbitts-design/grav-skeleton-course-hub/blob/master/LICENSE)

[![Discord](https://img.shields.io/discord/501836936584101899.svg?logo=discord&colorB=728ADA&label=Discord%20Chat)](https://chat.getgrav.org)

**Grav Open Course Hub** with Git Sync is designed to support an open and collaborative environment for one or more courses, inside or outside of your LMS. Built with the open source modern file-based [Grav CMS](http://getgrav.org).

📚 Information and Documentation
---
https://learn.hibbittsdesign.org/coursehub

🚀 Quick Install Instructions
---
**Pre-flight Checklist**  

1. Confirm Web server PHP version (PHP 8.0.2 or higher)
2. Web server login credentials (username and password)

**Installation Steps**  

1. Download the ready-to-run [Open Course Hub Skeleton Package](https://github.com/hibbitts-design/grav-skeleton-course-hub/releases/latest/download/grav-skeleton-course-hub.zip)
2. Unzip the package onto your desktop  
3. Copy the entire Grav Open Course Hub folder to your Web server  
4. Point your browser to the Web server folder  
5. Create your site administrator account when prompted  
6. And you're done! (press the ![Right Arrow Circle Icon](https://github.com/paulhibbitts/github-repo-images/blob/master/fa-arrow-circle-right.png?raw=true) icon in the Admin Panel to preview site)

💻 Grav Open Course Hub Screenshots
---
![Course Hub Screenshot](https://github.com/paulhibbitts/github-repo-images/blob/master/smartmockups_open-matter-course-hub.png?raw=true)  
_Figure 1. Example Grav Open Course Hub website, with GitHub collaborative page editing enabled.  Explore an example open matter course hub site at [demo.hibbittsdesign.org/grav-open-matter-course-hub/](http://demo.hibbittsdesign.org/grav-open-matter-course-hub/)._

![MultiCourse Hub Screenshot](https://github.com/paulhibbitts/github-repo-images/blob/master/smartmockups_open-matter-multicourse-hub.png?raw=true)  
_Figure 2. Example Grav Open MultiCourse Hub website, with GitHub collaborative page editing enabled.  Explore an example open matter multicourse hub site at [demo.hibbittsdesign.org/grav-skeleton-open-matter-multi-course-hub-site/](http://demo.hibbittsdesign.org/grav-skeleton-open-matter-multi-course-hub-site/)._

⚡️ Grav Open Matter Course Hub Highlights
---
<table cellpadding="2" cellspacing="2" width="100%">
	<tbody>
		<tr>
			<td width="50%">
				<ul>
					<li>Ready-to-run open source <a href="http://getgrav.org">Grav</a> package</li>
					<li>Minimal server requirements (PHP 7.1 or higher, no database required)</li>
					<li>Built using the <a href="https://getbootstrap.com/docs/4.0/getting-started/introduction/">Bootstrap 4</a> responsive framework</li>
					<li>Built-in support for automatic two-way <a href="https://github.com/trilbymedia/grav-plugin-git-sync">Git Sync</a></li>
					<li>Single or multiple courses per hub installation</li>
					<li>Global 'Chromeless Pages' site setting for all pages (for embedding entire site within LMS)
					<li>Optional 'chromeless' page URL flag (for embedding specific pages within LMS)
	        <li>Uses <a href="https://daringfireball.net/projects/markdown/">Markdown</a> and HTML files for cross-platform content</li>				
					<li>Full access to <a href="https://www.w3schools.com/html/default.asp">HTML</a>, <a href="https://www.w3schools.com/css/default.asp">CSS</a>, <a href="https://www.w3schools.com/js/default.asp">Javascript</a>, <a href="https://twig.symfony.com/doc/2.x/">Twig Templates</a>, <a href="http://www.yaml.org/">YAML</a>, etc.</li>
					<li>Blog-style list of course units (e.g. classes, modules, etc)</li>
				</ul>
			</td>
			<td width="50%">
				<ul>
					<li>Optional important reminders and unit preparations areas</li>
					<li>Includes example <a href="https://github.com/OleVik/grav-plugin-twigfeeds">RSS aggregator</a> page</li>
					<li>Includes ShortCodes for Badges, Buttons, <a href="http://embed.ly/">Embed.ly Cards</a>, <a href="https://www.google.ca/slides/about/">GoogleSlides</a>, <a href="https://h5p.org/">H5P</a>, iFrame, PDF and <a href="https://twitter.com/">Twitter Feeds</a></li>
					<li>Enhanced support for Badge, Button, GoogleSlides, H5P and PDF Shortcodes in <a href="https://getgrav.org/premium/nextgen-editor">Grav Premium NextGen Editor</a></li>
					<li>Hub pages can be easily added/removed/changed</li>
					<li>Enhanced support for the <a href="https://github.com/OleVik/grav-plugin-presentation">Presentation Plugin</a></li>
          <li>Custom links can be added to site navigation bar</li>
					<li>Image header area above site navigation bar</li>
					<li>Sidebar is customizable (Markdown or HTML)</li>
					<li>Various Web accessibility enhancements (i.e. hidden H1 page titles)</li>
				</ul>
			</td>
		</tr>
	</tbody>
</table>

💬 Share Your Feedback
---
* Complete the [Open Course Hub Survey](https://goo.gl/forms/oSZlfsSi71JB5U8L2)
