---
title: Syllabus
published: true
show_sidebar: false
hide_git_sync_repo_link: false
---

## Course Description
In this course we will explore the art and science of designing usable, useful and enjoyable human-computer interfaces, with an emphasis on user-centered design techniques. The importance and necessity of effective interaction design techniques will be highlighted, and current design methodologies and principles across multiple platforms will be discussed. Students will gain valuable knowledge and experience by working in groups on a term-long design project.

_Effectively working in a team and both verbal and written communication skills are essential to do well in this course._

## Course Objectives
* Describe and apply key UI/UX concepts, techniques, and principles
* Assess and describe the usability and UX of a digital interface
* Plan, conduct, and analyze user research for a digital product
* Conceptualize, design, and prototype a digital product
* Plan, conduct, and analyze a usability test of a digital product
* Participate and contribute as a member of a team
* Care about how people feel about and experience technology

## Topic Schedule
1. What is usability and user experience design?
1. What does a holistic user experience design process look like?
1. How to make more strategic design decisions?
1. How to conduct a usability inspection?
1. How to plan, conduct, and summarize usability tests?
1. How to understand and communicate people's needs and behaviours?
1. How to explore and communicate possible design solutions?
1. How to design products for how people think, learn and feel?
1. How to design for mobile and multi-device usage?
1. What are the essentials of effective visual communication?

## Course Assignments (tentative)
Individual (50%)
* Weekly Reading Quizzes: 5%
* Reflective Log: 5%
* Journey Map: 15%
* Usability Inspection: 25%

Group (25%)
* User Research Report: 25%

Team or Group (25%)
* Usability Tested Mockups: 25%

Reading quizzes must be submitted no later than 10:00am class day - no exceptions. Late assignments will not be accepted without valid documentation (e.g. medical certificate).

## Required Textbook
Are you kidding me, in 2021? All required readings will be available on-line.   
